petsc-3.4.2 2013-07-02

# DMPlexDistribute

Distributes the mesh and any associated sections.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexDistribute(DM dm, const char partitioner[], PetscInt overlap, DM *dmParallel)

Not Collective

### Input Parameter

| dm | - The original DMPlex object
| partitioner | - The partitioning package, or NULL for the default
| overlap | - The overlap of partitions, 0 is the default

### Output Parameter

parallelMesh -The distributed DMPlex object, or NULL

Note: If the mesh was not distributed, the return value is NULL

### Keywords

mesh, elements

### See Also

DMPlexCreate(), DMPlexDistributeByFace()

Level:intermediate
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex52.c.html
src/snes/examples/tutorials/ex62.c.html